X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby n485u » Sun Feb 10, 2019 3:48 pm

Hi,

Just re-joined PE and downloaded and installed the latest plugin (1.5.2) on my 64-bit Ubuntu 18.04 box. Unfortunately, after I connect to the PE network and tune in a frequency (e.g., ATIS, or Approach), X-Plane (version 11.31r1) crashes and returns me to the desktop.

As long as I don't tune into a local frequency, it doesn't crash. Also, it never crashes without the PE plugin or if I don't connect to the PE Network. (It seems like it crashes whenever there's audio to play).

I've tried with both custom and stock planes, it crashes with both.

I'm not using any AI Aircraft.

One last thing: I'm running X-Plane on 1 computer with 3 monitors.

Log.text doesn't have anything useful:
Code: Select all
0:01:06.088 I/OVR: Reading VR conf file: Aircraft/Laminar Research/Cessna 172SP/Cessna_172SP_G1000_vrconfig.txt
0:01:06.088 D/STM: Transitioning from state state_NormalLoading to state_Normal
0:01:07.091 I/WIN: Opened window menu bar
0:01:07.091 I/WIN: Opened window Replay overlay
--=={This application has crashed!}==--


PilotEdge_stderr.txt is empty.

I see this in the terminal window:
Code: Select all
Connect status changed: 1 2 0
Connect status changed: 1 3 0
warning: Unknown nb_ctl request:  12
warning: The VAD has been replaced by a hack pending a complete rewrite
Connect status changed: 1 4 0
Connect status changed: 2 1 0
warning: Unknown nb_ctl request:  12
warning: The VAD has been replaced by a hack pending a complete rewrite
Error for server 1: already member of channel (null)
Connect status changed: 2 2 0
Connect status changed: 2 3 0
warning: Unknown nb_ctl request:  12
warning: The VAD has been replaced by a hack pending a complete rewrite
Connect status changed: 2 4 0
warning: Unknown nb_ctl request:  12
warning: The VAD has been replaced by a hack pending a complete rewrite
Error for server 2: invalid parameter (null)
Error for server 2: already member of channel (null)
Error for server 2: invalid parameter (null)
Error for server 2: invalid parameter (null)
Error for server 2: invalid parameter (null)
Error for server 2: invalid parameter (null)
Error for server 2: invalid parameter (null)


Thanks for any help!
PPL-ASEL IA CMP, HP
Livermore, CA (KLVK)
n485u
 
Posts: 7
Joined: Tue Aug 04, 2015 10:57 am

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby fsimmr » Sun Feb 10, 2019 6:45 pm

I can confirm the same issue, with same log error messages, on Fedora 29.
fsimmr
 
Posts: 5
Joined: Sun Feb 10, 2019 6:42 pm

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby Keith Smith » Sun Feb 10, 2019 9:51 pm

Thanks. I tested with xp10 (to test the awos override). I'll download 11.3x for linux and see if I can replicate.
Keith Smith
 
Posts: 9557
Joined: Sat Oct 09, 2010 8:38 pm
Location: Pompton Plains, NJ

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby Keith Smith » Mon Feb 11, 2019 7:44 am

Installing the demo as we speak. Is it crashing for you the moment you change freqs, or only if a transmission is being received? For example, if you swap to a non-ATC freq such as122.75, 122.95, 123.45, etc...does it still crash for you?
Keith Smith
 
Posts: 9557
Joined: Sat Oct 09, 2010 8:38 pm
Location: Pompton Plains, NJ

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby n485u » Mon Feb 11, 2019 8:06 am

It seems like it happens only when a transmission is being received, or if I try to transmit.

'Thanks,
Scott
PPL-ASEL IA CMP, HP
Livermore, CA (KLVK)
n485u
 
Posts: 7
Joined: Tue Aug 04, 2015 10:57 am

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby Keith Smith » Mon Feb 11, 2019 8:25 am

Rgr, getting same thing here. Will try to find out what's happening.
Keith Smith
 
Posts: 9557
Joined: Sat Oct 09, 2010 8:38 pm
Location: Pompton Plains, NJ


Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby Keith Smith » Mon Feb 11, 2019 8:59 am

have posted the patched version in our discord in the x-Plane room. Working on geting it rolled into the distribution. I'm on scope for a little bit so there will be a small delay.
Keith Smith
 
Posts: 9557
Joined: Sat Oct 09, 2010 8:38 pm
Location: Pompton Plains, NJ

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby Keith Smith » Mon Feb 11, 2019 9:17 am

1.5.2b posted for download on site. Only file change is the linux 64-bit build.
Keith Smith
 
Posts: 9557
Joined: Sat Oct 09, 2010 8:38 pm
Location: Pompton Plains, NJ

Re: X-Plane 11.31 and PE Plugin 1.5.2 Crash on Ubuntu

Postby Keith Smith » Mon Feb 11, 2019 9:20 am

Here's a link to the linux plugin only for a quick patch. Drop this file into your PilotEdge/64 folder: http://assets.pilotedge.net/clients/xpl/lin.xpl

Let me know how it goes for you. It's stable for me in 11.31 on ubuntu 14.
Keith Smith
 
Posts: 9557
Joined: Sat Oct 09, 2010 8:38 pm
Location: Pompton Plains, NJ

Next

Return to X-Plane

Who is online

Users browsing this forum: No registered users and 5 guests

cron